# Uses of Class
javax.swing.JSlider

Packages that use JSlider
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of JSlider in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JSlider
Modifier and Type
Field
Description
`protected JSlider`
BasicSliderUI.`slider`
Slider
Methods in javax.swing.plaf.basic with parameters of type JSlider
Modifier and Type
Method
Description
`protected ChangeListener`
BasicSliderUI.`createChangeListener(JSlider slider)`
Creates a change listener.
`protected ComponentListener`
BasicSliderUI.`createComponentListener(JSlider slider)`
Creates a composite listener.
`protected FocusListener`
BasicSliderUI.`createFocusListener(JSlider slider)`
Creates a focus listener.
`protected PropertyChangeListener`
BasicSliderUI.`createPropertyChangeListener(JSlider slider)`
Creates a property change listener.
`protected BasicSliderUI.ScrollListener`
BasicSliderUI.`createScrollListener(JSlider slider)`
Creates a scroll listener.
`protected BasicSliderUI.TrackListener`
BasicSliderUI.`createTrackListener(JSlider slider)`
Creates a track listener.
`protected void`
BasicSliderUI.`installDefaults(JSlider slider)`
Installs the defaults.
`protected void`
BasicSliderUI.`installKeyboardActions(JSlider slider)`
Installs keyboard actions.
`protected void`
BasicSliderUI.`installListeners(JSlider slider)`
Installs listeners.
`protected void`
BasicSliderUI.`uninstallDefaults(JSlider slider)`
Uninstalls the defaults.
`protected void`
BasicSliderUI.`uninstallKeyboardActions(JSlider slider)`
Uninstalls keyboard actions.
`protected void`
BasicSliderUI.`uninstallListeners(JSlider slider)`
Uninstalls listeners.
Constructors in javax.swing.plaf.basic with parameters of type JSlider
Modifier
Constructor
Description
``
`ActionScroller(JSlider slider, int dir, boolean block)`
Constructs an `ActionScroller`.
``
`BasicSliderUI(JSlider b)`
Constructs a `BasicSliderUI`.

## Uses of JSlider in javax.swing.plaf.metal

Methods in javax.swing.plaf.metal with parameters of type JSlider
Modifier and Type
Method
Description
`protected PropertyChangeListener`
MetalSliderUI.`createPropertyChangeListener(JSlider slider)`
Constructs `MetalPropertyListener`.

## Uses of JSlider in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth with parameters of type JSlider
Modifier and Type
Method
Description
`protected void`
SynthSliderUI.`uninstallDefaults(JSlider slider)`
Uninstalls default setting.
Constructors in javax.swing.plaf.synth with parameters of type JSlider
Modifier
Constructor
Description
`protected`
`SynthSliderUI(JSlider c)`
Constructs a `SynthSliderUI`.